### Method

# Pango Context set_base_dir

#### Declaration [src]

    void
    pango_context_set_base_dir (
      PangoContext* context,
      PangoDirection direction
    )

#### Description [src]

Sets the base direction for the context.

The base direction is used in applying the Unicode bidirectional algorithm; if the `direction` is `PANGO_DIRECTION_LTR` or `PANGO_DIRECTION_RTL`, then the value will be used as the paragraph direction in the Unicode bidirectional algorithm. A value of `PANGO_DIRECTION_WEAK_LTR` or `PANGO_DIRECTION_WEAK_RTL` is used only for paragraphs that do not contain any strong characters themselves.

#### Parameters

`direction`

  Type: `PangoDirection`

  The new base direction.